Endpoint (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.endpoint

## Interface Endpoint

- All Superinterfaces:
    `InterceptorProvider`, `Map<String,​Object>`
  All Known Implementing Classes:
    `EndpointImpl`

      public interface Endpoint
      extends Map<String,​Object>, InterceptorProvider

  Represents an endpoint that receives messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCleanupHook​(Closeable c)` | Add a hook that will be called when this end point being terminated.
    `List<Feature>` | `getActiveFeatures()` |
    `Binding` | `getBinding()` |
    `List<Closeable>` | `getCleanupHooks()` |
    `EndpointInfo` | `getEndpointInfo()` |
    `Executor` | `getExecutor()` |
    `MessageObserver` | `getInFaultObserver()` |
    `MessageObserver` | `getOutFaultObserver()` |
    `Service` | `getService()` |
    `void` | `setExecutor​(Executor executor)` |
    `void` | `setInFaultObserver​(MessageObserver observer)` |
    `void` | `setOutFaultObserver​(MessageObserver observer)` |

    - ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### getEndpointInfo

          EndpointInfo getEndpointInfo()

    - #### getBinding

          Binding getBinding()

    - #### getService

          Service getService()

    - #### setExecutor

          void setExecutor​(Executor executor)

    - #### getExecutor

          Executor getExecutor()

    - #### getInFaultObserver

          MessageObserver getInFaultObserver()

    - #### getOutFaultObserver

          MessageObserver getOutFaultObserver()

    - #### setInFaultObserver

          void setInFaultObserver​(MessageObserver observer)

    - #### setOutFaultObserver

          void setOutFaultObserver​(MessageObserver observer)

    - #### getActiveFeatures

          List<Feature> getActiveFeatures()

    - #### addCleanupHook

          void addCleanupHook​(Closeable c)

      Add a hook that will be called when this end point being terminated. This will be called prior to the Server/ClientLifecycleListener.*Destroyed() method is called. This provides an opportunity to cleanup any resources that are specific to this Endpoint.
      Parameters:
        `c` -

    - #### getCleanupHooks

          List<Closeable> getCleanupHooks()